Skip to main content
`Ctrl`+`K`

# DMPlexGetJoin

Get an array for the join of the set of points

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetJoin(DM dm, PetscInt numPoints, const PetscInt points[], PetscInt *numCoveredPoints, const PetscInt *coveredPoints[])

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- numPoints - The number of input points for the join

- points - The input points

## Output Parameters

- numCoveredPoints - The number of points in the join

- coveredPoints - The points in the join

## Note

Currently, this is restricted to a single level join

## Fortran Notes

`converedPoints` must be declared with

      PetscInt, pointer :: coveredPints(:)

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexRestoreJoin()`, `DMPlexGetMeet()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages